# IAlgebraVirtualPool

The interface for the virtual pool

*Developer note: Used to calculate active liquidity in farmings*

## Functions

### crossTo

`function crossTo(int24 targetTick, bool zeroToOne) external returns (bool success)` external

*Developer note: This function is called by the main pool if an initialized ticks are crossed by swap. If any one of crossed ticks is also initialized in a virtual pool it should be crossed too*

| Name       | Type  | Description                                                   |
| ---------- | ----- | ------------------------------------------------------------- |
| targetTick | int24 | The target tick up to which we need to cross all active ticks |
| zeroToOne  | bool  | The direction                                                 |

**Returns:**

| Name    | Type | Description |
| ------- | ---- | ----------- |
| success | bool |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v2.0/v2.0-core/ialgebravirtualpool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
